libstdc++: std::slice_array< _Tp > Class Template Reference

libstdc++

std::slice_array< _Tp > Class Template Reference
Numerics » Numeric Arrays

`#include <slice_array.h>`

## Public Types
typedef _Tp | value_type

## Public Member Functions
| slice_array (const slice_array &)
template<class _Dom>
void | operator%= (const _Expr< _Dom, _Tp > &) const
void | operator%= (const valarray< _Tp > &) const
template<class _Dom>
void | operator&= (const _Expr< _Dom, _Tp > &) const
void | operator&= (const valarray< _Tp > &) const
template<class _Dom>
void | operator*= (const _Expr< _Dom, _Tp > &) const
void | operator*= (const valarray< _Tp > &) const
template<class _Dom>
void | operator+= (const _Expr< _Dom, _Tp > &) const
void | operator+= (const valarray< _Tp > &) const
template<class _Dom>
void | operator-= (const _Expr< _Dom, _Tp > &) const
void | operator-= (const valarray< _Tp > &) const
template<class _Dom>
void | operator/= (const _Expr< _Dom, _Tp > &) const
void | operator/= (const valarray< _Tp > &) const
template<class _Dom>
void | operator<<= (const _Expr< _Dom, _Tp > &) const
void | operator<<= (const valarray< _Tp > &) const
template<class _Dom>
void | operator= (const _Expr< _Dom, _Tp > &) const
void | operator= (const _Tp &) const
slice_array & | operator= (const slice_array &)
void | operator= (const valarray< _Tp > &) const
template<class _Dom>
void | operator>>= (const _Expr< _Dom, _Tp > &) const
void | operator>>= (const valarray< _Tp > &) const
template<class _Dom>
void | operator^= (const _Expr< _Dom, _Tp > &) const
void | operator^= (const valarray< _Tp > &) const
template<class _Dom>
void | operator|= (const _Expr< _Dom, _Tp > &) const
void | operator|= (const valarray< _Tp > &) const

## Friends
class | valarray< _Tp >

## Detailed Description

template<typename _Tp>
class std::slice_array< _Tp >

Reference to one-dimensional subset of an array.

A slice_array is a reference to the actual elements of an array specified by a slice. The way to get a slice_array is to call operator[](slice) on a valarray. The returned slice_array then permits carrying operations out on the referenced subset of elements in the original valarray. For example, operator+=(valarray) will add values to the subset of elements in the underlying valarray this slice_array refers to.

Parameters

  Tp | Element type.

Definition at line 130 of file slice_array.h.

## Member Typedef Documentation

## ◆ value_type

template<typename _Tp>

typedef _Tp std::slice_array< _Tp >::value_type

Definition at line 133 of file slice_array.h.

## Member Function Documentation

## ◆ operator%=()

template<typename _Tp>

void std::slice_array< _Tp >::operator%= | ( | const valarray< _Tp > & |  | ) | const

Modulo slice elements by corresponding elements of v.

## ◆ operator&=()

template<typename _Tp>

void std::slice_array< _Tp >::operator&= | ( | const valarray< _Tp > & |  | ) | const

Logical and slice elements with corresponding elements of v.

## ◆ operator*=()

template<typename _Tp>

void std::slice_array< _Tp >::operator*= | ( | const valarray< _Tp > & |  | ) | const

Multiply slice elements by corresponding elements of v.

## ◆ operator+=()

template<typename _Tp>

void std::slice_array< _Tp >::operator+= | ( | const valarray< _Tp > & |  | ) | const

Add corresponding elements of v to slice elements.

## ◆ operator-=()

template<typename _Tp>

void std::slice_array< _Tp >::operator-= | ( | const valarray< _Tp > & |  | ) | const

Subtract corresponding elements of v from slice elements.

## ◆ operator/=()

template<typename _Tp>

void std::slice_array< _Tp >::operator/= | ( | const valarray< _Tp > & |  | ) | const

Divide slice elements by corresponding elements of v.

## ◆ operator<<=()

template<typename _Tp>

void std::slice_array< _Tp >::operator<<= | ( | const valarray< _Tp > & |  | ) | const

Left shift slice elements by corresponding elements of v.

## ◆ operator>>=()

template<typename _Tp>

void std::slice_array< _Tp >::operator>>= | ( | const valarray< _Tp > & |  | ) | const

Right shift slice elements by corresponding elements of v.

## ◆ operator^=()

template<typename _Tp>

void std::slice_array< _Tp >::operator^= | ( | const valarray< _Tp > & |  | ) | const

Logical xor slice elements with corresponding elements of v.

## ◆ operator|=()

template<typename _Tp>

void std::slice_array< _Tp >::operator|= | ( | const valarray< _Tp > & |  | ) | const

Logical or slice elements with corresponding elements of v.

## Friends And Related Symbol Documentation

## ◆ valarray< _Tp >

template<typename _Tp>

friend class valarray< _Tp >
| friend

Definition at line 192 of file slice_array.h.

The documentation for this class was generated from the following files:

- valarray
- slice_array.h